API ReferenceContracts
Get Contracts
This API call allows you to get all the contracts based on the passed parameters.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
createdAfter?|
Created after
Format
date-timecreatedBefore?|
Created before
Format
date-timemodifiedAfter?|
Modified after
Format
date-timemodifiedBefore?|
Modified before
Format
date-timebatchSize?|
Size of the batch to be fetched
Format
int32Range
1 <= value <= 500Default
500skip?|
Mentions how many contracts to skip
Format
int32Range
0 <= valueDefault
0accountNumber?string
Client account number
Response Body
application/json
curl -X GET "https://example.com/v2/contracts"{ "Records": [ { "accountNumber": "XE1234", "contractSource": "string", "contractStatus": "QuoteRequired", "contractType": "NotSpecified", "dateCreated": "2019-08-24T14:15:22Z", "identifier": { "clientTransferNumber": "beeee5c6-4167-46fd-b021-d894c353541", "contractNumber": "C11470263" }, "lastModifiedAt": "2019-08-24T14:15:22Z", "settlementStatus": "NotSettled", "totalPayments": 3 } ], "TotalRecords": 1}{ "code": 0, "failureDateTime": "2019-08-24T14:15:22Z", "longErrorMsg": "string", "shortErrorMsg": "string", "traceErrorId": "string", "typeOfFailure": "MODEL_VALIDATION"}Empty
Empty